## deepin-installer-reborn 5.7.43

=== i18n/CMakeLists.txt ===
# 生成翻译
## 设置QT语言cmake模块
find_package(Qt5 COMPONENTS Widgets LinguistTools REQUIRED)

## 通过源代码生成ts文件
set(CREATE_TS_DIR
    ${CMAKE_SOURCE_DIR}/src/partman
    ${CMAKE_SOURCE_DIR}/src/base
    ${CMAKE_SOURCE_DIR}/src/ui
    ${CMAKE_SOURCE_DIR}/src/service
)
find_program(LUPDATE_EXECUTABLE lupdate)
execute_process(
    COMMAND ${LUPDATE_EXECUTABLE} -source-language en
    -no-obsolete
    -recursive ${CREATE_TS_DIR}
    -ts ${CMAKE_SOURCE_DIR}/i18n/deepin-installer.ts)

## 获取ts源文件
file(GLOB INSTALLER_TRANSLATION_TS
    ${CMAKE_SOURCE_DIR}/i18n/deepin-installer*.ts)

## 将ts源文件显示在qtcreate中
add_custom_target(ts SOURCES ${INSTALLER_TRANSLATION_TS})

=== src/CMakeLists.txt ===

#set(CMAKE_C_COMPILER  /usr/bin/clang)
#set(CMAKE_CXX_COMPILER  /usr/bin/clang++)

set(CMAKE_CXX_STANDARD_REQUIRED 17)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

# Only generate Debug and Release configuration types.
set(CMAKE_CONFIGURATION_TYPES Debug Release)
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

if (CMAKE_BUILD_TYPE MATCHES Debug)
    # 默认优化编译参数
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 ")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wno-unused-result -Wno-switch-default -Wno-padded")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-function -Wno-reorder -Werror")
    # 安全编译参数
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")

# Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")
endif()

# Install default_settings.ini based on current architecture.
set(INSTALLER_BUILD_ARCH "")
execute_process(COMMAND uname -m
                OUTPUT_VARIABLE INSTALLER_BUILD_ARCH)
string(REGEX REPLACE "\n$" "" INSTALLER_BUILD_ARCH "${INSTALLER_BUILD_ARCH}")
message("build arch: ${INSTALLER_BUILD_ARCH}")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(IS_PROFESSIONAL FALSE)
if (EXISTS "/etc/deepin-version")
  file(STRINGS "/etc/deepin-version" IS_PROFESSIONAL REGEX "Type *= *Professional")
  if(IS_PROFESSIONAL)
      add_definitions("-DPROFESSIONAL")
  endif()
endif()

set(INSTALLER_SHARE_DIR ${CMAKE_INSTALL_PREFIX}/share/deepin-installer)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

add_definitions("-DPLATFORM_BUILD_ARCH=\"${INSTALLER_BUILD_ARCH}\"")
add_definitions("-DSOURCE_DIR=\"${CMAKE_SOURCE_DIR}\"")

# Defines path to resource directories
if (CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions("-DBUILTIN_HOOKS_DIR=\"${CMAKE_SOURCE_DIR}/hooks\"")
  add_definitions("-DBUILTIN_CHECK_HOOKS_DIR=\"${CMAKE_SOURCE_DIR}/check_hooks\"")
  add_definitions("-DI18N_DIR=\"${CMAKE_BINARY_DIR}/i18n\"")
  add_definitions("-DRESOURCES_DIR=\"${CMAKE_SOURCE_DIR}/resources\"")
  add_definitions("-DTOOLS_DIR=\"${CMAKE_SOURCE_DIR}/tools\"")
  add_definitions("-DDATAS_DIR=\"${CMAKE_SOURCE_DIR}/data\"")
  add_definitions("-DXRANDR_DIR=\"${CMAKE_SOURCE_DIR}/src/app\"")
else()
  add_definitions("-DN_DEBUG")
  add_definitions("-DBUILTIN_HOOKS_DIR=\"${INSTALLER_SHARE_DIR}/hooks\"")
  add_definitions("-DBUILTIN_CHECK_HOOKS_DIR=\"${INSTALLER_SHARE_DIR}/check_hooks\"")
  add_definitions("-DI18N_DIR=\"${INSTALLER_SHARE_DIR}/i18n\"")
  add_definitions("-DRESOURCES_DIR=\"${INSTALLER_SHARE_DIR}/resources\"")
  add_definitions("-DTOOLS_DIR=\"${INSTALLER_SHARE_DIR}/tools\"")
  add_definitions("-DDATAS_DIR=\"/usr/bin/\"")
  add_definitions("-DXRANDR_DIR=\"/usr/bin\"")
endif()

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5LinguistTools)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(QTermWidget5 REQUIRED)
find_package(DtkCMake REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

pkg_search_module(Parted REQUIRED libparted)
pkg_search_module(X11 REQUIRED x11)
pkg_search_module(X11EXT REQUIRED xext)
pkg_search_module(X11TST REQUIRED xtst)
pkg_search_module(X11RandR REQUIRED xrandr)
pkg_search_module(UDisk2 REQUIRED udisks2-qt5)
#pkg_search_module(ncursesw REQUIRED ncurses++w)
#pkg_search_module(pwquality REQUIRED pwquality)

include_directories(AFTER ${Parted_INCLUDE_DIRS})
include_directories(AFTER ${X11_INCLUDE_DIRS})
include_directories(AFTER ${X11EXT_INCLUDE_DIRS})
include_directories(AFTER ${X11TST_INCLUDE_DIRS})
include_directories(AFTER ${X11RandR_INCLUDE_DIRS})
include_directories(AFTER ${UDisk2_INCLUDE_DIRS})

add_subdirectory(third_party/global_shortcut)
add_subdirectory(third_party/qrencode)
add_subdirectory(third_party/zlib_wrapper)

configure_file(base/consts.h base/consts.h @ONLY)

# KF5 network manager
get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

foreach(LETTER ${TRY_KF5_LIBRARIES})
    if (NOT KF5_QT_LIBRARIES)
        get_target_property(KF5_QT_LIBRARIES KF5::NetworkManagerQt ${LETTER})
    endif()
endforeach()

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()
# end KF5 network manager

set(BASE_FILES
    base/command.cpp
    base/command.h
    base/consts.h
    base/file_util.cpp
    base/file_util.h
    base/string_util.cpp
    base/string_util.h
    base/thread_util.cpp
    base/thread_util.h
    base/translator.h
    base/auto_screen_scale.h
    base/utils.h
    )

set(OEM_FILES

    oem/models/oem_settings_item.cpp
    oem/models/oem_settings_item.h
    oem/models/oem_settings_model.cpp
    oem/models/oem_settings_model.h
    oem/views/oem_settings_item_view.cpp
    oem/views/oem_settings_item_view.h

    oem/styles/styles.qrc
    )

set(PARTMAN_FILES
    partman/device.cpp
    partman/device.h
    partman/vg_device.cpp
    partman/vg_device.h
    partman/fs.cpp
    partman/fs.h
    partman/libparted_util.cpp
    partman/libparted_util.h
    partman/operation.cpp
    partman/operation.h
    partman/lvm_operation.cpp
    partman/lvm_operation.h
    partman/os_prober.cpp
    partman/os_prober.h
    partman/partition.cpp
    partman/partition.h
    partman/lv_partition.cpp
    partman/lv_partition.h
    partman/partition_format.cpp
    partman/partition_format.h
    partman/partition_manager.cpp
    partman/partition_manager.h
    partman/partition_usage.cpp
    partman/partition_usage.h
    partman/structs.cpp
    partman/structs.h
    partman/utils.cpp
    partman/utils.h
    )

set(SERVICE_FILES
    service/backend/chroot.cpp
    service/backend/chroot.h
    service/backend/geoip_request_worker.cpp
    service/backend/geoip_request_worker.h
    service/backend/hooks_pack.cpp
    service/backend/hooks_pack.h
    service/backend/hook_worker.cpp
    service/backend/hook_worker.h
    service/backend/wifi_inspect_worker.cpp
    service/backend/wifi_inspect_worker.h

    service/first_boot_hook_worker.cpp
    service/first_boot_hook_worker.h
    service/hooks_manager.cpp
    service/hooks_manager.h
    service/log_manager.cpp
    service/log_manager.h
    service/power_manager.cpp
    service/power_manager.h
    service/process_util.cpp
    service/process_util.h
    service/screen_brightness.cpp
    service/screen_brightness.h
    service/settings_manager.cpp
    service/settings_manager.h
    service/system_language.cpp
    service/system_language.h
    service/settings_name.h
    service/timezone_manager.cpp
    service/timezone_manager.h
    service/language_manager.h
    service/language_manager.cpp
    service/screen_adaptation_manager.h
    service/screen_adaptation_manager.cpp
    service/multiscreenmanager.h
    service/multiscreenmanager.cpp
    )

set(SYSINFO_FILES
    sysinfo/dev_disk.cpp
    sysinfo/dev_disk.h
    sysinfo/iso3166.cpp
    sysinfo/iso3166.h
    sysinfo/keyboard.cpp
    sysinfo/keyboard.h
    sysinfo/machine.cpp
    sysinfo/machine.h
    sysinfo/proc_meminfo.cpp
    sysinfo/proc_meminfo.h
    sysinfo/proc_mounts.cpp
    sysinfo/proc_mounts.h
    sysinfo/proc_partitions.cpp
    sysinfo/proc_partitions.h
    sysinfo/proc_swaps.cpp
    sysinfo/proc_swaps.h
    sysinfo/release_version.cpp
    sysinfo/release_version.h
    sysinfo/timezone.cpp
    sysinfo/timezone.h
    sysinfo/users.cpp
    sysinfo/users.h
    sysinfo/validate_hostname.cpp
    sysinfo/validate_hostname.h
    sysinfo/validate_password.cpp
    sysinfo/validate_password.h
    sysinfo/validate_username.cpp
    sysinfo/validate_username.h
    sysinfo/virtual_machine.cpp
    sysinfo/virtual_machine.h)

set(UI_FILES

    ui/delegates/advanced_partition_animations.cpp
    ui/delegates/advanced_partition_animations.h
    ui/delegates/advanced_partition_delegate.cpp
    ui/delegates/advanced_partition_delegate.h
    ui/delegates/lvm_partition_delegate.cpp
    ui/delegates/lvm_partition_delegate.h
    ui/delegates/partition_delegate.h
    ui/delegates/partition_delegate.cpp
    ui/delegates/network_operate.h
    ui/delegates/network_operate.cpp
    ui/delegates/advanced_validate_state.h
    ui/delegates/advanced_validate_state.cpp
    ui/delegates/avatar_list_delegate.cpp
    ui/delegates/avatar_list_delegate.h
    ui/delegates/frameless_list_delegate.cpp
    ui/delegates/frameless_list_delegate.h
    ui/delegates/full_disk_delegate.cpp
    ui/delegates/full_disk_delegate.h
    ui/delegates/installer_args_parser.cpp
    ui/delegates/installer_args_parser.h
    ui/delegates/install_slide_frame_util.cpp
    ui/delegates/install_slide_frame_util.h
    ui/delegates/language_delegate.cpp
    ui/delegates/language_delegate.h
    ui/delegates/main_window_util.cpp
    ui/delegates/main_window_util.h
    ui/delegates/partition_util.cpp
    ui/delegates/partition_util.h
    ui/delegates/style_delegate.h
    ui/delegates/style_delegate.cpp
    ui/delegates/license_delegate.cpp
    ui/delegates/license_delegate.h

    ui/delegates/popup_menu_delegate.cpp
    ui/delegates/popup_menu_delegate.h
    ui/delegates/simple_partition_delegate.cpp
    ui/delegates/simple_partition_delegate.h
    ui/delegates/timezone_map_util.cpp
    ui/delegates/timezone_map_util.h
    ui/delegates/componentinstallmanager.h
    ui/delegates/componentinstallmanager.cpp
    ui/delegates/user_agreement_delegate.h
    ui/delegates/user_agreement_delegate.cpp
    ui/delegates/disk_installation_delegate.h
    ui/delegates/disk_installation_delegate.cpp
    ui/delegates/disk_installation_detail_delegate.h
    ui/delegates/disk_installation_detail_delegate.cpp
    ui/interfaces/frameproxyinterface.h
    ui/interfaces/frameinterface.h
    ui/interfaces/frameinterfaceprivate.h
    ui/frames/consts.h
    ui/frames/inner/advanced_partition_frame.cpp
    ui/frames/inner/advanced_partition_frame.h
    ui/frames/inner/lvm_partition_frame.cpp
    ui/frames/inner/lvm_partition_frame.h
    ui/frames/inner/edit_partition_frame.cpp
    ui/frames/inner/edit_partition_frame.h
    ui/frames/inner/full_disk_frame.cpp
    ui/frames/inner/full_disk_frame.h
    ui/frames/inner/resize_root_frame.h
    ui/frames/inner/resize_root_frame.cpp
    ui/frames/inner/full_disk_encrypt_frame.h
    ui/frames/inner/full_disk_encrypt_frame.cpp
    ui/frames/inner/install_progress_slide_frame.cpp
    ui/frames/inner/install_progress_slide_frame.h
    ui/frames/inner/new_partition_frame.cpp
    ui/frames/inner/new_partition_frame.h
    ui/frames/inner/new_table_loading_frame.cpp
    ui/frames/inner/new_table_loading_frame.h
    ui/frames/inner/new_table_warning_frame.cpp
    ui/frames/inner/new_table_warning_frame.h
    ui/frames/inner/partition_loading_frame.cpp
    ui/frames/inner/partition_loading_frame.h
    ui/frames/inner/partition_number_limitation_frame.cpp
    ui/frames/inner/partition_number_limitation_frame.h
    ui/frames/inner/partition_table_warning_frame.cpp
    ui/frames/inner/partition_table_warning_frame.h

    ui/frames/inner/prepare_install_frame.cpp
    ui/frames/inner/prepare_install_frame.h
    ui/frames/inner/select_bootloader_frame.cpp
    ui/frames/inner/select_bootloader_frame.h
    ui/frames/inner/select_language_frame.cpp
    ui/frames/inner/select_language_frame.h
    ui/frames/inner/simple_partition_frame.cpp

=== debian/changelog ===
deepin-installer-reborn (5.7.43-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 12 Aug 2022 19:25:35 +0800

## deepin-installer-reborn 5.7.47

=== docs/CMakeLists.txt ===
install(
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/deepin-installer
    FILES_MATCHING PATTERN "*"
    PATTERN "CMakeLists.txt" EXCLUDE
    PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== resources/CMakeLists.txt ===
# Install resources/ folder, excluding desktop file and icons.

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/default_wallpaper.jpg
    ${CMAKE_CURRENT_SOURCE_DIR}/languages.json
    ${CMAKE_CURRENT_SOURCE_DIR}/oem_settings.json
    ${CMAKE_CURRENT_SOURCE_DIR}/timezone_alias
    ${CMAKE_CURRENT_SOURCE_DIR}/packages_default.json
    ${CMAKE_CURRENT_SOURCE_DIR}/packages_choice.json
    ${CMAKE_CURRENT_SOURCE_DIR}/packages_sort.json
    ${CMAKE_CURRENT_SOURCE_DIR}/language_sort.json
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources
)

# Install PolicyKit file.
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.pkexec.installer.policy
    ${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.pkexec.installer-first-boot.policy
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions/
)

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-oem.desktop
    ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications
)

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-oem.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer.svg
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
)


# Install default_settings.ini based on current architecture.
set(INSTALLER_BUILD_ARCH "")
execute_process(COMMAND uname -m
                OUTPUT_VARIABLE INSTALLER_BUILD_ARCH)
message("build arch: ${INSTALLER_BUILD_ARCH}")

if (${INSTALLER_BUILD_ARCH} MATCHES "i386|i686|amd64|x86|x86_64")
  file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_x86/*)
  install(FILES ${OVERRIDE}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif(${INSTALLER_BUILD_ARCH} MATCHES "sw")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_sw/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif(${INSTALLER_BUILD_ARCH} MATCHES "mips")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_loongson/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif(${INSTALLER_BUILD_ARCH} MATCHES "loongarch64")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_loongarch64/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif (${INSTALLER_BUILD_ARCH} MATCHES "aarch64")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_arm/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
else()
  message(FATAL_ERROR "Not supported architecture: ${INSTALLER_BUILD_ARCH}")
endif ()

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/default_settings.ini
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources)

file(GLOB FULL_DISK_POLICY ${CMAKE_CURRENT_SOURCE_DIR}/full_disk_policy*.json)
install(FILES ${FULL_DISK_POLICY}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources)

## 安装用户协议
file(GLOB LICENSE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/licenses/*)
install(FILES ${LICENSE_FILES}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/licenses)

add_subdirectory(slide)

=== debian/changelog ===
deepin-installer-reborn (5.7.47-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 20 Sep 2022 18:10:01 +0800

=== debian/control ===
Source: deepin-installer-reborn
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
    cmake (>=3.1),
    debhelper (>=9),
    dh-systemd,
    g++ (>=6.3.0),
    gettext,
    tzdata,
    deepin-installer-timezones,
    libattr1-dev,
    libparted-dev,
    libqt5x11extras5-dev,
    libx11-dev,
    libxext-dev,
    libxrandr-dev,
    libxss-dev,
    libxtst-dev,
    pkg-config,
    qtbase5-dev,
    qttools5-dev,
    qttools5-dev-tools,
    zlib1g-dev,
    libqt5svg5-dev,
    libdtkcore-dev,
    libdtkcore5-bin | libdtkcore-bin,
    libudisks2-qt5-dev,
    libqapt-dev,
    libqtermwidget5-0-dev,
    libutf8proc-dev,
    libdtkwidget-dev,
    libdtkgui-dev,
    libkf5networkmanagerqt-dev,
    fbterm,
    kbd,
    libncurses-dev,
    libncursesw5-dev,
    libdeepin-pw-check-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-installer
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    btrfs-progs,
    deepin-installer-timezones,
    dosfstools,
    imagemagick,
    imageworsener,
    jfsutils,
    mtools,
    ntfs-3g,
    os-prober,
    parted,
    pciutils,
    reiserfsprogs,
    squashfs-tools,
    tshark,
    udev,
    x11-xserver-utils,
    xfsprogs,
    xinit,
    xkb-data,
    deepin-clone,
    cryptsetup,
    lvm2,
    kbd,
    fbterm,
    dde-account-faces,
    dde-qt5integration,
    libdeepin-pw-check,
    deepin-pw-check
Description: Release version of deepin installer
 New version of deepin-installer, rewritten with Qt5.
